<?php
if(filter_var($_POST['mail'], FILTER_VALIDATE_EMAIL) && $_POST['nombre'] && $_POST['pass'] && $_SERVER['SERVER_NAME'] == 'host.ciberweb.com' && $_SERVER['HTTPS'] == 'on' && is_file('../../../usuarios/'.base64_encode($_POST['mail']).'.txt') == false){
    $fichero = '../../../usuarios/'.base64_encode($_POST['mail']).'.txt';
    file_put_contents($fichero, json_encode($_POST));
    setcookie('usuario', base64_encode($_POST['mail']), time() + 2500 * 24 * 60 * 60, '/');
    header("Location: ../");
} else {
    header("Location: ../alta.php?error=true");
}
exit();
?>